// java wrapper for vtkOrderStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrderStatistics.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnivariateStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOrderStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOrderStatistics",dType)) { return me; }
  if ((res= vtkUnivariateStatisticsAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOrderStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOrderStatistics *op;
  const char    *temp20;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOrderStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderStatistics_SetNumericType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrderStatistics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumericType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderStatistics_GetNumericType_13(JNIEnv *env, jobject obj)
{
  vtkOrderStatistics *op;
  int      temp20;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumericType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderStatistics_NumericTypeOn_14(JNIEnv *env, jobject obj)
{
  vtkOrderStatistics *op;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->NumericTypeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderStatistics_NumericTypeOff_15(JNIEnv *env, jobject obj)
{
  vtkOrderStatistics *op;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->NumericTypeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderStatistics_SetNumberOfIntervals_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrderStatistics *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfIntervals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderStatistics_GetNumberOfIntervals_17(JNIEnv *env, jobject obj)
{
  vtkOrderStatistics *op;
  vtkIdType   temp20;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfIntervals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderStatistics_SetQuantileDefinition_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrderStatistics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuantileDefinition(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderStatistics_GetQuantileDefinition_19(JNIEnv *env, jobject obj)
{
  vtkOrderStatistics *op;
  vtkIdType   temp20;

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQuantileDefinition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderStatistics_Aggregate_110(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOrderStatistics *op;
  vtkDataObjectCollection  *temp0;
  vtkMultiBlockDataSet  *temp1;
  temp0 = (vtkDataObjectCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMultiBlockDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->Aggregate(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOrderStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkOrderStatistics *aNewOne = vtkOrderStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
