// java wrapper for vtkInteractorStyleImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleImage.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorStyleTrackballCamera_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleImage_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleImage",dType)) { return me; }
  if ((res= vtkInteractorStyleTrackballCamera_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleImage_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  const char    *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleImage_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleImage *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetWindowLevelStartPosition_12(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  int     *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowLevelStartPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetWindowLevelCurrentPosition_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  int     *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowLevelCurrentPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnMouseMove_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnLeftButtonDown_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnLeftButtonUp_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnRightButtonDown_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnRightButtonUp_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnChar_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_WindowLevel_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->WindowLevel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_Pick_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->Pick();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_StartWindowLevel_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWindowLevel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_EndWindowLevel_113(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->EndWindowLevel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_StartPick_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->StartPick();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_EndPick_115(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->EndPick();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInteractorStyleImage_VTKInit(JNIEnv *, jobject)
{
  vtkInteractorStyleImage *aNewOne = vtkInteractorStyleImage::New();
  return (jlong)(size_t)(void*)aNewOne;
}
