// java wrapper for vtkCompositeTransferFunctionItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeTransferFunctionItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkColorTransferFunctionItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeTransferFunctionItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeTransferFunctionItem",dType)) { return me; }
  if ((res= vtkColorTransferFunctionItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeTransferFunctionItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeTransferFunctionItem *op;
  const char    *temp20;

  op = (vtkCompositeTransferFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeTransferFunctionItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeTransferFunctionItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeTransferFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeTransferFunctionItem_GetBounds_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCompositeTransferFunctionItem *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkCompositeTransferFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeTransferFunctionItem_SetOpacityFunction_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeTransferFunctionItem *op;
  vtkPiecewiseFunction  *temp0;
  temp0 = (vtkPiecewiseFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeTransferFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacityFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeTransferFunctionItem_GetOpacityFunction_14(JNIEnv *env, jobject obj)
{
  vtkCompositeTransferFunctionItem *op;
  vtkPiecewiseFunction  *temp20;

  op = (vtkCompositeTransferFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacityFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositeTransferFunctionItem_VTKInit(JNIEnv *, jobject)
{
  vtkCompositeTransferFunctionItem *aNewOne = vtkCompositeTransferFunctionItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
